Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
applyTemplate
/
{templateUid}
/
assignProviders
/
forJobParts
Assigns providers from template (specific jobs)
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/applyTemplate/{templateUid}/assignProviders/forJobParts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {
      "uid": "<string>"
    }
  ]
}
'
{
  "jobs": [
    {
      "continuous": true,
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDue": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "imported": true,
      "jobAssignedEmailTemplate": {},
      "notificationIntervalInMinutes": 123,
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "sourceFileUid": "<string>",
      "targetLang": "<string>",
      "uid": "<string>",
      "updateSourceDate": "2023-11-07T05:31:56Z",
      "workflowLevel": 123,
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

templateUid
string
required

UID of the template

projectUid
string
required

UID of the project

Body

application/json

Job parts to assign

jobs
object[]
required
Required array length: 1 - 100 elements

Response

OK

jobs
object[]

Job parts affected by the operation